Subject: Re: Which VCS besides git?

From: "Shawn O. Pearce" <[email-masked]>
Date: Tue, 2 Mar 2010 07:41:28 -0800

K??rlis Repsons <[email-masked]> wrote:
> On Tuesday 02 March 2010 15:28:21 Shawn O. Pearce wrote:
> > K??rlis Repsons <[email-masked]> wrote:
> > > which VCS besides git provide chaining of commits with help of some
> > > cryptographic hash function, warning about or not allowing commits to be
> > > deleted on an equivalent of pull action, so that all added pieces of data
> > > can be retained securely on client side?
> > 
> > Most of the distributed VCS systems do this.  I know Mercurial is
> > functionally identical to Git in this regard.  Maybe even Monotone
> > and Bazaar are as well, but I'm less familiar with those.
> 
> And svn doesn't?

I don't know about SVN.  I only used it for a few months between
CVS and BitKeeper.  After that, I jumped pretty fast into Git and
didn't care about how Subversion works internally.

You might want to ask on the SVN mailing list rather than the Git
mailing list about SVN specific details...

-- 
Shawn.